// Borland C++ Builder
// Copyright (c) 1995, 2002 by Borland Software Corporation
// All rights reserved

// (DO NOT EDIT: machine generated header) 'AniFile.pas' rev: 6.00

#ifndef AniFileHPP
#define AniFileHPP

#pragma delphiheader begin
#pragma option push -w-
#pragma option push -Vx
#include <Graphics.hpp>	// Pascal unit
#include <Classes.hpp>	// Pascal unit
#include <RTLConsts.hpp>	// Pascal unit
#include <Windows.hpp>	// Pascal unit
#include <SysUtils.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Anifile
{
//-- type declarations -------------------------------------------------------
typedef char TFourCC[4];

struct TAniTag;
typedef TAniTag *PAniTag;

#pragma pack(push, 1)
struct TAniTag
{
	char ckID[4];
	int ckSize;
} ;
#pragma pack(pop)

#pragma pack(push, 1)
struct TAniHeader
{
	int cbSizeOf;
	int cSteps;
	int cFrames;
	int cReserved[4];
	int jifRate;
	int fl;
} ;
#pragma pack(pop)

class DELPHICLASS TIconFrame;
class PASCALIMPLEMENTATION TIconFrame : public Classes::TPersistent 
{
	typedef Classes::TPersistent inherited;
	
private:
	Graphics::TIcon* FIcon;
	bool FIsIcon;
	#pragma pack(push, 1)
	TAniTag FTag;
	#pragma pack(pop)
	
	#pragma pack(push, 1)
	Types::TPoint FHotSpot;
	#pragma pack(pop)
	
	int FJiffRate;
	int FSeq;
	
public:
	__fastcall TIconFrame(int Index, int Jiff);
	__fastcall virtual ~TIconFrame(void);
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	__property int JiffRate = {read=FJiffRate, nodefault};
	__property int Seq = {read=FSeq, nodefault};
};


typedef char TANINAME[256];

class DELPHICLASS TAnimatedCursorImage;
class PASCALIMPLEMENTATION TAnimatedCursorImage : public Classes::TPersistent 
{
	typedef Classes::TPersistent inherited;
	
private:
	#pragma pack(push, 1)
	TAniHeader FHeader;
	#pragma pack(pop)
	
	char FTitle[256];
	char FCreator[256];
	Classes::TList* FIcons;
	Word FOriginalColors;
	void __fastcall NewImage(void);
	void __fastcall RiffReadError(void);
	Graphics::TIcon* __fastcall ReadCreateIcon(Classes::TStream* Stream, int ASize, Types::TPoint &HotSpot, bool &IsIcon);
	int __fastcall GetIconCount(void);
	Graphics::TIcon* __fastcall GetIcon(int Index);
	TIconFrame* __fastcall GetFrame(int Index);
	AnsiString __fastcall GetTitle();
	AnsiString __fastcall GetCreator();
	int __fastcall GetDefaultRate(void);
	void __fastcall ReadAniStream(Classes::TStream* Stream);
	void __fastcall ReadStream(int Size, Classes::TStream* Stream);
	void __fastcall WriteStream(Classes::TStream* Stream, bool WriteSize);
	
protected:
	virtual void __fastcall AssignTo(Classes::TPersistent* Dest);
	void __fastcall Draw(Graphics::TCanvas* ACanvas, const Types::TRect &ARect);
	
public:
	__fastcall TAnimatedCursorImage(void);
	__fastcall virtual ~TAnimatedCursorImage(void);
	virtual void __fastcall Assign(Classes::TPersistent* Source);
	void __fastcall Clear(void);
	virtual void __fastcall LoadFromStream(Classes::TStream* Stream);
	virtual void __fastcall SaveToStream(Classes::TStream* Stream);
	virtual void __fastcall LoadFromFile(const AnsiString Filename);
	void __fastcall AssignToBitmap(Graphics::TBitmap* Bitmap, Graphics::TColor BackColor, bool DecreaseColors, bool Vertical);
	__property int DefaultRate = {read=GetDefaultRate, nodefault};
	__property int IconCount = {read=GetIconCount, nodefault};
	__property Graphics::TIcon* Icons[int Index] = {read=GetIcon};
	__property TIconFrame* Frames[int Index] = {read=GetFrame};
	__property AnsiString Title = {read=GetTitle};
	__property AnsiString Creator = {read=GetCreator};
	__property Word OriginalColors = {read=FOriginalColors, nodefault};
};


//-- var, const, procedure ---------------------------------------------------
static const Shortint AF_ICON = 0x1;
static const Shortint AF_SEQUENCE = 0x2;

}	/* namespace Anifile */
using namespace Anifile;
#pragma option pop	// -w-
#pragma option pop	// -Vx

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// AniFile
